;This procedure is intended for use as part of the PMIAS system.  This system
;has been developed by the HAO dPMon project to facilitate the initial
;quality assurance procedures required for new dPMon data.  Please make
;no changes to any of the files in this directory without first contacting
;dPMon personnel.
;
;   Questions regarding PMIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   The purpose of this module is to display the full-size version for a
;   selected image.
;
pro pmias_enlarge, task , val
@pmias_common

enlarged = 1		;Flag to tell pmias_imchange to erase large image.

if task eq 1 then begin		;Load image from file to enlarge.
   im_tmp  = readfits(topdir + dataday + '/' + fnms(cntr))
   big_im  = im_tmp (0:pixx-1, 1:wysz)
   window, /free, xsize = pixx, ysize = wysz, /pixmap
   enlarge_win = !d.window
   wset, enlarge_win

   case datascale of	;Write large image to pixmap according to scaling.
      0 : begin
	     n_exp = fix(info_set(cntr, 2))
	     if ( n_exp eq 0 ) then n_exp = 1
	     big_im = big_im / (1. * n_exp)
	     mxi = fix((1.+ (max(big_im(100:pixx-100,100:wysz-100)))/50.)*50.)
	      
	     if(val eq 'DISK') then mni=fix(mxi-0.70*mxi) $
			       else mni=0
	     tv, bytscl(big_im,min=mni,max=mxi,top=231)
          end
      1 : begin
	     tv, bytscl(big_im, min=cold_pix(cntr), max=hot_pix(cntr))
	  end
   endcase

   xs = 255		;Set up x param for call to device, copy.
endif

if task eq 2 then xs = 0	;Move image left (copy left side of pixmap).
if task eq 3 then xs = 255	;Center the image.
if task eq 4 then xs = 509	;Move image right (copy right side of pixmap).

wset, plot_index1
device, copy = [xs, 0, wxsz, wysz, 0, 0, enlarge_win]

return
end
