;This procedure is intended for use as part of the PMIAS system.  This system
;has been developed by the HAO dPMon project to facilitate the initial
;quality assurance procedures required for new dPMon data.  Please make
;no changes to any of the files in this directory without first contacting
;dPMon personnel.
;
;   Questions regarding PMIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   The purpose of this module is to call the module which initializes the
;   common blocks used by the system and initialize some system parameters.
;   This procedure is called only once by pmias_startup when the system
;   is first activated.
;
pro pmias_setup
@pmias_common

realexit=0
cur_qual = ' none'		;Initialize all logfile parameters.
log_done = intarr(8)
comms_done = 0
summs_done = 0
cur_summ = ' '
arch_in = 0
lm_arch_fnm = ' '
ds_arch_fnm = ' ' 
das_done = 0
le_done = 0
de_done = 0
wrongtyp = 0

pwin_inds = [0]			;Initialize plotting variables.
enlarged = 0
grided = 0
title = 1
!x.style = 4
!y.style = 4

saved = [0, 0, 0]		;Initialize save slot indicators.

pixx=1534 & pixy=1029  & scl=3 & xsz=pixx/scl & ysz=pixy/scl
wxsz =1024  & wysz=1028   
wxp= (wxsz-xsz)/2 & wyp=(wysz-ysz)/2
wxp= (wxsz-xsz)/2 & wyp=(wysz-ysz)/1
wxp= (wxsz-xsz)/2 & wyp=(wysz    )/2

cstrlen = 360 ; Length of a string that can be entered for comm_in

;Set up three windows to be used for the save and recall functions later.
window, /free, xsize = pixx, ysize = wysz, /pixmap
save1_win = !d.window
window, /free, xsize = pixx, ysize = wysz, /pixmap
save2_win = !d.window
window, /free, xsize = pixx, ysize = wysz, /pixmap
save3_win = !d.window

return
end
