;This procedure is intended for use as part of the PMIAS system.  This system
;has been developed by the HAO dPmon project to facilitate the initial
;quality assurance procedures required for new dPmon data.  Please make
;no changes to any of the files in this directory without first contacting
;dPmon personnel.
;
;   Questions regarding PMIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   The purpose of this module is to declare all the common blocks used by
;   the PMIAS system.  This module is called by any module that has anything
;   to do with plotting or processing data.  There are no procedure or end
;   statements as this module will be included in procedures via batch file
;   execution.
;

;Debugging block- to be removed for release version.
;common pmias_debug, comm_in

;dpmon image size, and display sizes.  And comment length...
common pmias_imagesz, pixx,pixy, scl, xsz,ysz, wxsz,wysz, wxp,wyp, cstrlen

;Widget identifications, base names listed first.
common pmias_widget, base, col1b, col1c, col1d, col1e, col1eb, col2b,$
	col2baa, col2bab, col2bac, col2bb, usr_out1, obsdat, obstim,$
	solrad, nexpos, aptwhl, daysfil, filtwhl, occwhl, hotpix, coldpix,$
	usr_out2, usr_in1 , realexit

;Variables for plotting.
common pmias_plot, plot_index1, pwin_inds, cntr, n_images, time_slide,$
	slide_set, next_intyp, enlarge_win, enlarged, title

;Variables for data access and manipulation.
common pmias_data, avail_day, dataday, limb_fnms, sky_fnms, disk_fnms,$
	flat_fnms, limbd_fnms, skyd_fnms, diskd_fnms, flatd_fnms, fnms,$
	datascale, hdrs, info_set, tmarr

;Variables for user info output.
common pmias_userout, imtyp, totim, curim, hot_pix, cold_pix

;Variables for logfile entries.
common pmias_logfiles, cur_typ, cur_done, lm_comments, ds_comments,$
	sk_comments, ff_comments, lmd_comments, dsd_comments, skd_comments,$
	ffd_comments, lm_done, ds_done, sk_done, ff_done, lmd_done,$
	dsd_done, skd_done, ffd_done, nxlog, log_done, comms_done, cur_qual,$
	das_done, de_done, le_done, daily_summ, limb_events, disk_events,$
	summs_done, lm_arch_fnm, ds_arch_fnm, arch_in, cur_summ, lm_qual,$
	ds_qual, sk_qual, ff_qual, lmd_qual, dsd_qual, skd_qual, ffd_qual,$
	start_time, stop_time, op_name, wrongtyp  , sav_comm

;Variables for saving and recalling images.
common pmias_save_recall, save1_typ, save2_typ, save3_typ, save1_win,$
	save2_win, save3_win, save1_info, save2_info, save3_info, saved,$
	save1_pix, save2_pix, save3_pix



