;This procedure is intended for use as part of the PMIAS system.  This system
;has been developed by the HAO dPMon project to facilitate the initial
;quality assurance procedures required for new dPMon data.  Please make
;no changes to any of the files in this directory without first contacting
;dPMon personnel.
;
;   Questions regarding PMIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   The purpose of this module is to display the full-size version for a
;   selected image.
;
pro pmias_enlarge, task
@pmias_common

enlarged = 1		;Flag to tell pmias_imchange to erase large image.

if task eq 1 then begin		;Load image from file to enlarge.
   big_tmp = readfits('/local/dpraw/' + dataday + '/' + fnms(cntr))
   big_tmp = big_tmp(0:pixx-1, 1:wysz)
   big_im =        big_tmp
   window, /free, xsize = pixx, ysize = wysz, /pixmap
   enlarge_win = !d.window
   wset, enlarge_win

   case datascale of	;Write large image to pixmap according to scaling.
      0 : begin
	     n_exp = fix(info_set(cntr, 2))
	     big_im = big_im / (4. * n_exp)
	     tv, big_im
          end
      1 : tv, bytscl(big_im, min = 0, max = 3584)
   endcase

   xs = 255		;Set up x param for call to device, copy.
endif

if task eq 2 then xs = 0	;Move image left (copy left side of pixmap).
if task eq 3 then xs = 255	;Center the image.
if task eq 4 then xs = 509	;Move image right (copy right side of pixmap).

wset, plot_index1
device, copy = [xs, 0, wxsz, wysz, 0, 0, enlarge_win]

return
end
