;This procedure is intended for use as part of the PMIAS system.  This system
;has been developed by the HAO dPMon project to facilitate the initial
;quality assurance procedures required for new dPMon data.  Please make
;no changes to any of the files in this directory without first contacting
;dPMon personnel.
;
;   Questions regarding PIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   This is pmias_startup.pro.  This procedure controls the entry and exit
;   from the PMIAS system after IDL has been started by the pmias script.
;
print, ' '
print, ' '
print, ' '
print, '   Restoring compiled procedures...'
restore, 'pmias_compiled.dat'

pmias_setup			;Call to procedure to initialize various
				;processing parameters.
@pmias_common			;Declare all common blocks.
!quiet = 1

daily_summ  = ' '
limb_events = ' '
disk_events = ' '

;Get operator name, for use in writing the log file later.
print, ' '
print, ' '
op_name = ' '
read, '   Enter operator name ==> ', op_name
print, ' '

;Create string array of data directory names from default data directory.
spawn, '(cd /local/dpraw; ls -l)', direc_list
direc_str1 = direc_list(where(strmid(direc_list, 54, 1) eq '9'))
avail_day = strmid(direc_str1, 54, 6)

pmias_dayselect

pmias_filesort

print, ' '
print, '   Creating widgets...'
pmias_wgt_create		;Call to widget creation routine.  Control
				;is then handed to widget manager.
exit				;Leave IDL entirely when user is finished.
